al_get_audio_stream_length_secs(3)

NAME

al_get_audio_stream_length_secs - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    double al_get_audio_stream_length_secs(ALLEGRO_AUDIO_STREAM *stream)

DESCRIPTION

Return the length of the stream in seconds, if known. Otherwise returns zero.

Currently this can only be called on streams created with al_load_audio_stream(3), al_load_audio_stream_f(3) and the format-specific functions underlying those functions.

SEE ALSO

al_get_audio_stream_position_secs(3)